
package MyElements::CreateGroup;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://tempuri2.org/' }

__PACKAGE__->__set_name('CreateGroup');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %groupName_of :ATTR(:get<groupName>);
my %description_of :ATTR(:get<description>);

__PACKAGE__->_factory(
    [ qw(        groupName
        description

    ) ],
    {
        'groupName' => \%groupName_of,
        'description' => \%description_of,
    },
    {
        'groupName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'groupName' => 'groupName',
        'description' => 'description',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::CreateGroup

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
CreateGroup from the namespace http://tempuri2.org/.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * groupName

 $element->set_groupName($data);
 $element->get_groupName();




=back
=item * description

 $element->set_description($data);
 $element->get_description();




=back


=head1 METHODS

=head2 new

 my $element = MyElements::CreateGroup->new($data);

Constructor. The following data structure may be passed to new():

 {
   groupName =>  $some_value, # string
   description =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

