
package MyTypemaps::RunningServiceClass;
use strict;
use warnings;

our $typemap_1 = {
               'GetItemVersionsResponse/GetItemVersionsResult/List/SerializedItem/Attachments/Attachment' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntryResponse/AddCalendarEntryResult/Attachments/Attachment' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItems/viewRecursive' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'ModifyCalendarEntryResponse' => 'MyElements::ModifyCalendarEntryResponse',
               'GetAttachmentResponse/GetAttachmentResult/properties/Fields' => 'MyTypes::ArrayOfField',
               'ClearGroup/groupName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyCalendarEntry/modifyData/Permissions/Permission/Principal' => 'MyTypes::Principal',
               'AddCalendarEntryResponse/AddCalendarEntryResult/Fields/Field' => 'MyTypes::Field',
               'AddCalendarEntry/calendarName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyTask/User' => 'MyTypes::NUser',
               'ModifyCalendarEntry/modifyData/Title' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddTask/modifyData/Title' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'RemoveUsersFromGroup/groupName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntry/modifyData/EndDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'ModifyTask/modifyData/Permissions/Permission/Principal' => 'MyTypes::Principal',
               'ModifyTask/modifyData/AlertRecipients/KVS/V/Recipients/To' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'CountItemsResponse' => 'MyElements::CountItemsResponse',
               'GetItems/fields/string' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'CountItems/query' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItemsResponse/GetItemsResult/List/SerializedItem/Attachments' => 'MyTypes::ArrayOfString1',
               'ModifyCalendarEntry/modifyData/Attachments/Attachment/Data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'AddTask/modifyData/AlertRecipients/KVS' => 'MyTypes::KVstringNiceListOfAddressesSalutations',
               'ModifyCalendarEntry/modifyData/Permissions/Permission' => 'MyTypes::Permission',
               'GetItemsResponse/GetItemsResult/List/SerializedItem/Fields' => 'MyTypes::ArrayOfField',
               'CountItems/Folder' => 'MyTypes::Folders',
               'GetAttachmentResponse' => 'MyElements::GetAttachmentResponse',
               'AddAttachmentResponse' => 'MyElements::AddAttachmentResponse',
               'GetAttachment/listName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntry/modifyData/Url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddTaskResponse' => 'MyElements::AddTaskResponse',
               'AddTask/modifyData/Url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntry/createData/GroupID' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'AddCalendarEntry/createData/Folder/SubFolder' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItemVersionsResponse/GetItemVersionsResult/List' => 'MyTypes::ArrayOfSerializedItem',
               'CreateGroup/groupName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntry/modifyData/Permissions/Permission/Principal' => 'MyTypes::Principal',
               'AddCalendarEntry/modifyData/AlertRecipients/KVS/V/Salutation' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyCalendarEntry/modifyData/AlertRecipients/KVS/V/Recipients/Bcc' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItems/Folder/SubFolder' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddAttachmentResponse/AddAttachmentResult' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyCalendarEntry/modifyData/AlertTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'CountItems/Folder/SubFolder' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddTask/modifyData/Permissions/Permission/Rights' => 'MyTypes::ADDITIONAL_ROLES',
               'ModifyTaskResponse/ModifyTaskResult/Attachments' => 'MyTypes::ArrayOfString1',
               'GetAttachment/leafName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItems/Folder' => 'MyTypes::Folders',
               'DeleteGroup/groupName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyTask/modifyData/AlertRecipients/KVS/V/Recipients/Cc' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddTask/createData/Author' => 'MyTypes::NUser',
               'AddAttachment/ID' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'AddTask/modifyData/Categories' => 'MyTypes::ArrayOfString',
               'AddTaskResponse/AddTaskResult/Attachments' => 'MyTypes::ArrayOfString1',
               'ModifyTask' => 'MyElements::ModifyTask',
               'AddCalendarEntry/modifyData/Attachments/Attachment' => 'MyTypes::Attachment',
               'CountItems/listName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItemsResponse/GetItemsResult/List/SerializedItem' => 'MyTypes::SerializedItem',
               'AddTask/modifyData/AlertRecipients/KVS/V/Recipients/Bcc' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyCalendarEntryResponse/ModifyCalendarEntryResult/Attachments' => 'MyTypes::ArrayOfString1',
               'GetAttachment' => 'MyElements::GetAttachment',
               'CreateGroupResponse/CreateGroupResult' => 'MyElements::CreateGroupResponse::_CreateGroupResult',
               'ModifyCalendarEntry/modifyData/FAllDayEvent' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'AddTask/modifyData/Categories/Category' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItemVersions/listName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntry/modifyData/AlertRecipients/KVS/V/Recipients' => 'MyTypes::Recipients',
               'GetAttachmentResponse/GetAttachmentResult/properties/Attachments' => 'MyTypes::ArrayOfString1',
               'ModifyTaskResponse/ModifyTaskResult/Attachments/Attachment' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddTaskResponse/AddTaskResult/Fields/Field' => 'MyTypes::Field',
               'GetItemsResponse/GetItemsResult' => 'MyTypes::CountListOfSerializedItem',
               'AddUsersToGroup' => 'MyElements::AddUsersToGroup',
               'AddTask/modifyData/Permissions' => 'MyTypes::ArrayOfPermission',
               'ModifyCalendarEntry/modifyData/EndDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'ModifyTask/modifyData/DueDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'CountItems/User' => 'MyTypes::NUser',
               'GetItemVersionsResponse/GetItemVersionsResult/List/SerializedItem/Fields' => 'MyTypes::ArrayOfField',
               'DeleteItem' => 'MyElements::DeleteItem',
               'AddTask/modifyData/Description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'RemoveUsersFromGroup/userMails/NUser' => 'MyTypes::NUser',
               'GetItemsResponse/GetItemsResult/List/SerializedItem/Attachments/Attachment' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntry/modifyData/Attachments' => 'MyTypes::ArrayOfAttachment',
               'ModifyTaskResponse/ModifyTaskResult/Fields' => 'MyTypes::ArrayOfField',
               'DeleteItem/listName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetAttachmentResponse/GetAttachmentResult/item/Attachments' => 'MyTypes::ArrayOfString1',
               'ModifyTask/modifyData/AlertRecipients/KVS/V' => 'MyTypes::AddressesSalutations',
               'ModifyTask/modifyData/AlertRecipients/KVS/V/Salutation' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddTask/modifyData/AlertRecipients/KVS/V/Recipients/Cc' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddTask/modifyData/Comment' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItemsResponse/GetItemsResult/List/SerializedItem/Fields/Field' => 'MyTypes::Field',
               'CreateGroup/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyTask/modifyData/AlertRecipients' => 'MyTypes::HstringAddressesSalutations',
               'AddUsersToGroup/userMails/NUser' => 'MyTypes::NUser',
               'ModifyTask/modifyData/AlertRecipients/KVS' => 'MyTypes::KVstringNiceListOfAddressesSalutations',
               'ModifyCalendarEntry/modifyData/Permissions/Permission/Rights' => 'MyTypes::ADDITIONAL_ROLES',
               'AddUsersToGroupResponse' => 'MyElements::AddUsersToGroupResponse',
               'AddCalendarEntry/modifyData/AlertRecipients/KVS/V/Recipients/Cc' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddTask/modifyData/AlertTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyTask/modifyData/Status' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyCalendarEntry/modifyData/AlertRecipients/KVS/V/Recipients/Cc' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyCalendarEntry/modifyData/AlertRecipients/KVS/V/Recipients/To' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntry/modifyData/Description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyCalendarEntry/calendarName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'ModifyCalendarEntry/modifyData/Attachments' => 'MyTypes::ArrayOfAttachment',
               'ModifyTask/modifyData/Categories/Category' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'AddAttachment/leafName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'CreateGroupResponse' => 'MyElements::CreateGroupResponse',
               'ModifyTask/modifyData/Title' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyTask/modifyData/AlertRecipients/KVS/V/Recipients' => 'MyTypes::Recipients',
               'ModifyCalendarEntry/modifyData/Permissions' => 'MyTypes::ArrayOfPermission',
               'ModifyTask/modifyData' => 'MyTypes::TaskModifyData',
               'AddCalendarEntry/modifyData/AlertRecipients/KVS/V' => 'MyTypes::AddressesSalutations',
               'AddTask/taskListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItemVersionsResponse/GetItemVersionsResult' => 'MyTypes::CountListOfSerializedItem',
               'AddTask/modifyData/AlertRecipients/KVS/V/Salutation' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItemVersions/ID' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'RemoveUsersFromGroupResponse' => 'MyElements::RemoveUsersFromGroupResponse',
               'ModifyCalendarEntryResponse/ModifyCalendarEntryResult/Attachments/Attachment' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ClearGroupResponse' => 'MyElements::ClearGroupResponse',
               'AddCalendarEntry/modifyData/Categories' => 'MyTypes::ArrayOfString',
               'GetAttachmentResponse/GetAttachmentResult' => 'MyTypes::GetFileResponse',
               'AddTaskResponse/AddTaskResult' => 'MyTypes::SerializedItem',
               'AddTask/createData' => 'MyTypes::ItemCreateData',
               'ModifyTaskResponse/ModifyTaskResult' => 'MyTypes::SerializedItem',
               'ModifyCalendarEntry/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'ModifyCalendarEntry/modifyData/Editor' => 'MyTypes::NUser',
               'RemoveUsersFromGroup/userMails' => 'MyTypes::ArrayOfNUser',
               'ModifyTask/modifyData/Editor' => 'MyTypes::NUser',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'AddCalendarEntry/modifyData/EventDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'AddAttachment' => 'MyElements::AddAttachment',
               'GetItems/query' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddUsersToGroupResponse/AddUsersToGroupResult' => 'MyElements::AddUsersToGroupResponse::_AddUsersToGroupResult',
               'GetItemVersionsResponse/GetItemVersionsResult/List/SerializedItem' => 'MyTypes::SerializedItem',
               'AddTask/createData/Folder/SubFolder' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'DeleteGroup' => 'MyElements::DeleteGroup',
               'AddTask/modifyData/DueDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'AddCalendarEntry/modifyData/AlertRecipients/KVS/V/Recipients/To' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntry/modifyData/Comment' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntry/modifyData/Attachments/Attachment/Data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'AddTaskResponse/AddTaskResult/Attachments/Attachment' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'DeleteGroupResponse' => 'MyElements::DeleteGroupResponse',
               'GetAttachmentResponse/GetAttachmentResult/item/Fields' => 'MyTypes::ArrayOfField',
               'GetAttachmentResponse/GetAttachmentResult/item/Fields/Field' => 'MyTypes::Field',
               'AddCalendarEntry/modifyData/Editor' => 'MyTypes::NUser',
               'GetItems' => 'MyElements::GetItems',
               'GetAttachmentResponse/GetAttachmentResult/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'ModifyCalendarEntry/modifyData/EventDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'ModifyCalendarEntry/modifyData/ReminderDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'ModifyCalendarEntry/User' => 'MyTypes::NUser',
               'DeleteItem/ID' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'ModifyCalendarEntry/modifyData/AlertRecipients/KVS/V' => 'MyTypes::AddressesSalutations',
               'AddCalendarEntry/modifyData/FAllDayEvent' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'ModifyCalendarEntry/modifyData/Description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntry/modifyData/Attachments/Attachment/Operation' => 'MyTypes::AttachmentOperation',
               'AddCalendarEntry/modifyData/Title' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddAttachment/listName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetAttachmentResponse/GetAttachmentResult/item' => 'MyTypes::SerializedItem',
               'ModifyCalendarEntry/modifyData/Attachments/Attachment' => 'MyTypes::Attachment',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'CountItemsResponse/CountItemsResult' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'GetItemVersionsResponse/GetItemVersionsResult/List/SerializedItem/Attachments' => 'MyTypes::ArrayOfString1',
               'AddUsersToGroup/userMails' => 'MyTypes::ArrayOfNUser',
               'AddCalendarEntry/createData/Folder' => 'MyTypes::Folders',
               'ModifyCalendarEntryResponse/ModifyCalendarEntryResult/Fields/Field' => 'MyTypes::Field',
               'AddCalendarEntry/modifyData/AlertRecipients/KVS/V/Recipients/Bcc' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItemVersions' => 'MyElements::GetItemVersions',
               'ModifyTask/modifyData/AlertRecipients/KVS/V/Recipients/Bcc' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetAttachmentResponse/GetAttachmentResult/properties/Attachments/Attachment' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyTask/modifyData/Comment' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddTask/modifyData/AssignedTo' => 'MyTypes::NUser',
               'AddCalendarEntry/modifyData/Permissions' => 'MyTypes::ArrayOfPermission',
               'Fault/detail' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetAttachmentResponse/GetAttachmentResult/properties/Fields/Field' => 'MyTypes::Field',
               'AddAttachment/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'AddCalendarEntry/modifyData/Permissions/Permission/Rights' => 'MyTypes::ADDITIONAL_ROLES',
               'ModifyCalendarEntry/modifyData/AlertRecipients/KVS/V/Salutation' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyTask/modifyData/AlertTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ClearGroup' => 'MyElements::ClearGroup',
               'GetAttachment/ID' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'GetItems/listName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddUsersToGroup/groupName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntry/modifyData/AlertRecipients' => 'MyTypes::HstringAddressesSalutations',
               'ModifyTask/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'AddTaskResponse/AddTaskResult/Fields' => 'MyTypes::ArrayOfField',
               'GetAttachmentResponse/GetAttachmentResult/properties' => 'MyTypes::SerializedItem',
               'AddTask/modifyData' => 'MyTypes::TaskModifyData',
               'ClearGroupResponse/ClearGroupResult' => 'MyElements::ClearGroupResponse::_ClearGroupResult',
               'AddCalendarEntry/modifyData/Permissions/Permission' => 'MyTypes::Permission',
               'AddTask/createData/GroupID' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'AddTask/modifyData/Status' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyCalendarEntry/modifyData/ReminderTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntryResponse/AddCalendarEntryResult' => 'MyTypes::SerializedItem',
               'GetItemsResponse/GetItemsResult/List' => 'MyTypes::ArrayOfSerializedItem',
               'GetItems/maxItems' => 'SOAP::WSDL::XSD::Typelib::Builtin::unsignedInt',
               'ModifyCalendarEntry/modifyData/Categories/Category' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyTask/modifyData/Url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyCalendarEntry/modifyData/Comment' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddTask/createData/Folder' => 'MyTypes::Folders',
               'CountItems' => 'MyElements::CountItems',
               'ModifyCalendarEntry' => 'MyElements::ModifyCalendarEntry',
               'AddCalendarEntry/modifyData/AlertRecipients/KVS' => 'MyTypes::KVstringNiceListOfAddressesSalutations',
               'AddTask/modifyData/Permissions/Permission/Principal' => 'MyTypes::Principal',
               'AddCalendarEntryResponse' => 'MyElements::AddCalendarEntryResponse',
               'ModifyTaskResponse/ModifyTaskResult/Fields/Field' => 'MyTypes::Field',
               'AddCalendarEntry/modifyData' => 'MyTypes::CalendarModifyData',
               'ModifyCalendarEntry/modifyData/Attachments/Attachment/Operation' => 'MyTypes::AttachmentOperation',
               'ModifyTask/modifyData/AssignedTo' => 'MyTypes::NUser',
               'ModifyTask/modifyData/Permissions/Permission/Rights' => 'MyTypes::ADDITIONAL_ROLES',
               'GetAttachmentResponse/GetAttachmentResult/item/Attachments/Attachment' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyCalendarEntry/modifyData/Categories' => 'MyTypes::ArrayOfString',
               'AddTask' => 'MyElements::AddTask',
               'ModifyCalendarEntryResponse/ModifyCalendarEntryResult' => 'MyTypes::SerializedItem',
               'ModifyCalendarEntry/modifyData/AlertRecipients/KVS/V/Recipients' => 'MyTypes::Recipients',
               'AddTask/modifyData/AlertRecipients/KVS/V/Recipients/To' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItemsResponse' => 'MyElements::GetItemsResponse',
               'AddTask/modifyData/AlertRecipients/KVS/V' => 'MyTypes::AddressesSalutations',
               'ModifyCalendarEntry/modifyData/AlertRecipients/KVS' => 'MyTypes::KVstringNiceListOfAddressesSalutations',
               'AddCalendarEntryResponse/AddCalendarEntryResult/Attachments' => 'MyTypes::ArrayOfString1',
               'DeleteItemResponse' => 'MyElements::DeleteItemResponse',
               'AddTask/modifyData/AlertRecipients' => 'MyTypes::HstringAddressesSalutations',
               'ModifyTask/modifyData/Permissions/Permission' => 'MyTypes::Permission',
               'AddCalendarEntry/createData' => 'MyTypes::CalendarCreateData',
               'AddCalendarEntry/modifyData/ReminderTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyCalendarEntryResponse/ModifyCalendarEntryResult/Fields' => 'MyTypes::ArrayOfField',
               'ModifyTask/modifyData/Description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddCalendarEntryResponse/AddCalendarEntryResult/Fields' => 'MyTypes::ArrayOfField',
               'ModifyTask/taskListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'GetItems/fields' => 'MyTypes::ArrayOfString2',
               'GetItems/User' => 'MyTypes::NUser',
               'ModifyCalendarEntry/modifyData/Url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'AddTask/modifyData/AlertRecipients/KVS/V/Recipients' => 'MyTypes::Recipients',
               'ModifyTaskResponse' => 'MyElements::ModifyTaskResponse',
               'AddCalendarEntry/modifyData/Categories/Category' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ModifyTask/modifyData/Categories' => 'MyTypes::ArrayOfString',
               'ModifyCalendarEntry/modifyData/AlertRecipients' => 'MyTypes::HstringAddressesSalutations',
               'GetItemVersionsResponse/GetItemVersionsResult/List/SerializedItem/Fields/Field' => 'MyTypes::Field',
               'GetItemVersionsResponse' => 'MyElements::GetItemVersionsResponse',
               'ModifyCalendarEntry/modifyData' => 'MyTypes::CalendarModifyData',
               'ModifyTask/modifyData/Permissions' => 'MyTypes::ArrayOfPermission',
               'CreateGroup' => 'MyElements::CreateGroup',
               'AddCalendarEntry/modifyData/ReminderDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
               'CountItems/viewRecursive' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'RemoveUsersFromGroup' => 'MyElements::RemoveUsersFromGroup',
               'AddCalendarEntry/createData/Author' => 'MyTypes::NUser',
               'RemoveUsersFromGroupResponse/RemoveUsersFromGroupResult' => 'MyElements::RemoveUsersFromGroupResponse::_RemoveUsersFromGroupResult',
               'AddCalendarEntry' => 'MyElements::AddCalendarEntry',
               'GetItems/startID' => 'SOAP::WSDL::XSD::Typelib::Builtin::unsignedInt',
               'AddTask/modifyData/Permissions/Permission' => 'MyTypes::Permission',
               'AddTask/modifyData/Editor' => 'MyTypes::NUser',
               'AddCalendarEntry/modifyData/AlertTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string'
             };
;

sub get_class {
  my $name = join '/', @{ $_[1] };
  exists $typemap_1->{ $name } or die "Cannot resolve $name via " . __PACKAGE__;
  return $typemap_1->{ $name };
}

sub get_typemap {
    return $typemap_1;
}

1;

__END__

__END__

=pod

=head1 NAME

MyTypemaps::RunningServiceClass - typemap for RunningServiceClass

=head1 DESCRIPTION

Typemap created by SOAP::WSDL for map-based SOAP message parsers.

=cut

