package MyTypes::ArrayOfSerializedItem;
use strict;
use warnings;


our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %SerializedItem_of :ATTR(:get<SerializedItem>);

__PACKAGE__->_factory(
    [ qw(        SerializedItem

    ) ],
    {
        'SerializedItem' => \%SerializedItem_of,
    },
    {
        'SerializedItem' => 'MyTypes::SerializedItem',
    },
    {

        'SerializedItem' => 'SerializedItem',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfSerializedItem

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfSerializedItem from the namespace http://tempuri2.org/.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * SerializedItem




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfSerializedItem
   SerializedItem =>  { # MyTypes::SerializedItem
     Attachments =>  { # MyTypes::ArrayOfString1
       Attachment =>  $some_value, # string
     },
     Fields =>  { # MyTypes::ArrayOfField
       Field => ,
     },
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

