package MyTypes::ArrayOfString;
use strict;
use warnings;


our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Category_of :ATTR(:get<Category>);

__PACKAGE__->_factory(
    [ qw(        Category

    ) ],
    {
        'Category' => \%Category_of,
    },
    {
        'Category' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'Category' => 'Category',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfString

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfString from the namespace http://tempuri2.org/.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Category




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfString
   Category =>  $some_value, # string
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

