package MyTypes::PermissionItemData;
use strict;
use warnings;


our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}


use base qw(MyTypes::ItemUpdateData);
# Variety: sequence
use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Permissions_of :ATTR(:get<Permissions>);

__PACKAGE__->_factory(
    [ qw(        Permissions

    ) ],
    {
        'Permissions' => \%Permissions_of,
    },
    {
        'Permissions' => 'MyTypes::ArrayOfPermission',
    },
    {

        'Permissions' => 'Permissions',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::PermissionItemData

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
PermissionItemData from the namespace http://tempuri2.org/.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Permissions




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::PermissionItemData
   Permissions =>  { # MyTypes::ArrayOfPermission
     Permission =>  { # MyTypes::Permission
       Rights => $some_value, # ADDITIONAL_ROLES
       Principal =>  { value => $some_value },
     },
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

